# LinearVelocity

LinearVelocity : `Constraint`

## Overview

객체를 일정한 직선 속도로 이동시키기 위한 물리 제약(Constraint) 인스턴스입니다.

RelativeTo 속성을 World 또는 Attachment 중 어디로 설정하느냐에 따라, 힘이 적용되는 기준이 달라집니다.

## Properties

### ForceLimitsEnabled

`boolean`

힘을 제한할지 여부를 결정합니다.

이 속성을 활성화하면 MaxForce에 따라 힘의 크기가 제한되며, 비활성화하면 물리 엔진은 목표 속도에 맞춰큰 힘을 자유롭게 적용할 수 있습니다.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.ForceLimitsEnabled = false
```

### LineDirection

`Vector3`

VelocityConstraintMode가 Line일 때, 선형 방향으로 속도를 제한하는 정규화된 Vector3 방향입니다.

#### Code Samples

### LineVelocity

`number`

VelocityConstraintMode가 Line일 때, 선형으로 움직이는 방향의 속도를 설정할 수 있습니다.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.LineDirection = Vector3.new(-1, 0, 0)
```

### MaxForce

`number`

ForceLimitsEnabled가 true일 때, 적용할 수 있는 힘의 최대 크기를 설정할 수 있습니다.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.MaxForce = 10
```

### PlaneVelocity

`Vector2`

VelocityConstraintMode가 Plane일 때, 평면 위에서 움직이는 두 방향(X, Y)에 대한 속도를 설정할 수 있습니다.

#### Code Samples

### PrimaryTangentAxis

`Vector3`

현재 지원되지 않습니다.

#### Code Samples

### RelativeTo

`Enum.ActuatorRelativeTo`

힘이 적용되는 기준 좌표계를 설정할 수 있습니다.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.RelativeTo = Enum.ActuatorRelativeTo.World
```

### SecondaryTangentAxis

`Vector3`

현재 지원되지 않습니다.

#### Code Samples

### VectorVelocity

`Vector3`

VelocityConstraintMode가 Vector일 때, Vector으로 움직이는 방향의 속도를 설정할 수 있습니다.

#### Code Samples

```lua
local Part = script.Parent
local Attachment = Part.Attachment

local LinearVelocity = Instance.new("LinearVelocity")
LinearVelocity.Attachment0 = Attachment
LinearVelocity.RelativeTo = Enum.ActuatorRelativeTo.World
LinearVelocity.VectorVelocity = Vector3.new(1000, 0, 0)
LinearVelocity.MaxForce = 10
LinearVelocity.Parent = Part
```

### VelocityConstraintMode

`Enum.VelocityConstraintMode`

어떤 방식으로 속도를 제한할지 설정할 수 있습니다.

* Line: 선형으로 이동
* Plane: 지정된 평면 안에서 이동
* Vector: 벡터3 방향으로 이동 (기본 설정)

#### Code Samples

## Methods

## Events

## See also

{% content-ref url="/pages/6CSY5MxAR0y1qTIDKtRz" %}
[물리](/korean/manual/studio-manual/object/physics.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/linearvelocity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
